# dev.inmo.tgbotapi.types.MessageEntity.textsources

docs

# Package dev.inmo.tgbotapi.types.MessageEntity.textsources

## Functions

mention
Link copied to clipboard
inline fun mention (user: User , vararg parts: TextSource): TextMentionTextSource
Content copied to clipboard
textSourcesOrElse
Link copied to clipboard
inline fun textSourcesOrElse (textSources: TextSourcesList, block: () -> TextSourcesList): List < TextSource >
Content copied to clipboard
textSourcesOrElseTextSource
Link copied to clipboard
inline fun textSourcesOrElseTextSource (textSources: TextSourcesList, block: () -> TextSource): List < TextSource >
Content copied to clipboard

## Properties

DirectInvocationOfTextSourceConstructor
Link copied to clipboard
const val DirectInvocationOfTextSourceConstructor : String
Content copied to clipboard
TextSourceSerializer
Link copied to clipboard
val TextSourceSerializer : TextSourceSerializer
Content copied to clipboard